package com.zhentao.common.core.domain.model;

/**
 * @date: 2025/5/6 19:30
 * @author: ftt
 */

public class WxLoginBody {
    /**
     * 微信登录凭证 (临时, 只能使用一次)
     */
    private String code;
    // 偏移量
    private String encryptedIv;
    // 加密数据
    private String encryptedData;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getEncryptedIv() {
        return encryptedIv;
    }

    public void setEncryptedIv(String encryptedIv) {
        this.encryptedIv = encryptedIv;
    }

    public String getEncryptedData() {
        return encryptedData;
    }

    @Override
    public String toString() {
        return "WxLoginBody{" +
                "code='" + code + '\'' +
                ", encryptedIv='" + encryptedIv + '\'' +
                ", encryptedData='" + encryptedData + '\'' +
                '}';
    }

    public void setEncryptedData(String encryptedData) {
        this.encryptedData = encryptedData;
    }
}
